World of Warcraft 4.3.2 64 bit client (update)

Technical Support
1 2 3 24 Next
We're working on getting the new 64 bit client out to you as soon as possible and finishing up some last minute preparations. Check back here for updates as they become available.


Update 1/31/12 1:23 PM PST - Despite our best intentions and efforts, there are some unforseen issues preventing the 64 bit client from being made available at this time. Please check back tomorrow in this thread for any further updates as they become available.

____________________________________________________________________
Support Information Administrator
I'm available in this forum Tue-Sat 11am-3pm, 4pm-8pm (Pacific)
Yay! I've been waiting on this for a very long time.

Edit: Unable to validate game version. ><
Hey Hey Hey! It's here! Now lets see if I can figure out how to get this thing to work...
Hurrah <3
Thank you very much!
Sweet! I don't use in-game voice anyway.
When launching with either the .exe or launcher, says unable to validate game version and will not get passed the password/login screen.
Unable to validate game version.
Launcher loads x64 executable without error and produces the login screen." Unable to validate game version" error on attempt to log in.
01/31/2012 11:39 AMPosted by Dermatophyte
When launching with either the .exe or launcher, says unable to validate game version and will not get passed the password/login screen.


I get this error as well.
When launching with either the .exe or launcher, says unable to validate game version and will not launch.


Hmm, can we make a backup before we do this ?
Unable to Validate Game version error. :(
"Unable to validate game version" in 64 bit. 32 bit logs in fine.
unable to validate game version
You just unzip to your wow directory...

I cant run this... gives me an unsupported version error.
Just finished patching the game to 4.3.2, and when I try to run the x64 client provided here,

"Unable to validate game version. This may be caused by..."

x86 client works just fine.
01/31/2012 11:39 AMPosted by Dermatophyte
When launching with either the .exe or launcher, says unable to validate game version and will not get passed the password/login screen.


To clarify: I had patched to the latest version first, then copied the downloaded x64 executable to my WoW folder. Mac OS X Lion.

Join the Conversation

Return to Forum